using System;

namespace takmicenjeKvalifikacije
{
    internal class Program
    {
        static void Main(string[] args)
        {
            long x = int.Parse(Console.ReadLine());
            long y = int.Parse(Console.ReadLine());

            long z = 0;
            long st = 1;

            while(x > 0 || y > 0)
            {
                long pom = x % 10;
                long pom1 = y % 10;

                if (pom == pom1)
                {
                    z += (pom) * st;
                    x = (x / 10);
                    st *= 10;
                    z +=  pom1 * st;
                    y = (y / 10);
                }
                else if(pom > pom1)
                {
                    z += (pom) * st;
                    y = (y / 10);
                    x = (x / 10);
                }
                else if(pom < pom1)
                {
                    z +=  pom1 * st;
                    y = (y / 10);
                    x = (x / 10);
                }
                st *= 10;
            }

            Console.WriteLine(z);
            Console.ReadLine();
        }
    }
}